System 2.0.0.0 4.0.0.0 System.Enum

The name type can be a simple name, an email address, a User Principal Name (UPN), a Domain Name System (DNS) name or a URL. An X509 certificate can have one or more of these names. You can obtain the name of a certificate using the method .

Specifies the type of name the X509 certificate contains.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509NameType

  The DNS name associated with the alternative name of either the subject or the issuer of an X.509 certificate. This value is equivalent to the value.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509NameType

  The DNS name associated with the alternative name of either the subject or issuer of an X509 certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509NameType

  The email address of the subject or issuer associated of an X509 certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509NameType

  The simple name of a subject or issuer of an X509 certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509NameType

  The UPN name of the subject or issuer of an X509 certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509NameType

  The URL address associated with the alternative name of either the subject or issuer of an X509 certificate.